pbs_lamboot(8B)

NAME
pbs_lamboot - PBS front end to LAM's lamboot program

SYNOPSIS
pbs_lamboot pbs_lamboot --version

DESCRIPTION
The PBS command pbs_lamboot replaces the standard lamboot command in a PBS LAM MPI job, for starting LAM software on each of the PBS execution hosts running Linux 2.4 or higher. Usage is the same as for LAM's lamboot. All arguments except for bhost are passed directly to lamboot. PBS will issue a warning saying that the bhost argument is ignored by PBS since input is taken automatically from $PBS_NODEFILE. The pbs_lamboot program will not redundantly consult the $PBS_NODEFILE if it has been instructed to boot the nodes using the tm module. This instruction happens when an argument is passed to pbs_lamboot containing "-ssi boot tm" or when the LAM_MPI_SSI_boot environment variable exists with the value tm.

OPTIONS

--version
    The pbs_lamboot command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
The operands for pbs_lamboot are the same as for lamboot.

ENVIRONMENT VARIABLES

PATH
The PATH on remote machines must contain PBS_EXEC/bin.

SEE ALSO
The PBS Professional Administrator's Guide

lamboot(1), tm(3)